# GetLicenseFilingAvailability

Retrieve Business Activity Info

`GET /odata/Partner_Industry_State_Keywords`

**API:** License Filing Availability
**Tag:** License Filing Availability
**API Version:** v1
**Base URL:** https://integration.businesslicenses.com

Source: https://developer.avalara.com/products/registration-and-licensing/api/license-filing-availability/methods/License%20Filing%20Availability/GetLicenseFilingAvailability/

## Description

The following information will be returned based on the keyword submitted:IsRegulated - this will identify if the activity is a regulated or non-regulated activity.Possible Values: True / FalseRegulatedPriceLevel - if the activity is a regulated activity, the pricing level will be returned.Possible Values: 1, 2, 3, 499 will identify that there is no price level for an industry since it is a non-regulated industry.IsAvailableForALGP - this will identify if we are accepting orders of this activity for the Avalara License Guidance Premium Product.Possible Values: Yes / NoIsAvailableForALF - this will identify if we are accepting orders of this activity for Avalara License Filing Product.Possible Values: Yes / NoAdditional field information:Keyword - this will be a blank string if the filters do not include Keyword. If the Keyword filter is provided, it will have the Keyword filled in.StateId - this will be a blank string if the filters do not include StateId. If the StateId filter is provided, it will have the StateId filled in.IndustryActivityId - this will be 0 if the filters do not include IndustryActivityId. If the IndustryActivityId filter is provided, it will have the IndustryActivityId filled in.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `$filter` | string | query | No | Filter using the keyword and/or state and/or industry activity properties to get the desired industry information:  Keyword - use the Industry Keywords API to get the keyword StateId - the two letter state abbreviation IndustryActivityId - use the Industry Keyword API to get the activity ids Format: (fieldname) eq 'value', Use AND to combine multiple filters. Use OR to pass in multiple IndustryActivityIds.  Possible Uses: Keyword eq 'xxx', StateId eq 'xx', IndustryActivityId eq #, (IndustryActivityId eq # or IndustryActivityId eq #).  Examples: Keyword eq 'Plastering' and StateId eq 'NY' and IndustryActivityId eq 35Keyword eq 'Archery Range' and (IndustryActivityId eq 3 or IndustryActivityId eq 4) |
| `$select` | string | query | No | Specifies the set of properties to return. Use a comma separated list. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success |  |

## Example Request

```bash
curl -X GET "https://integration.businesslicenses.com/odata/Partner_Industry_State_Keywords" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```